/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FloatingLabelComponent } from "./floating-label/floating-label.component";
import { LabelDirective } from "./label.directive";
import { LabelComponent } from "./label/label.component";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
/**
 * Utility array that contains all `Label` related components and directives
 */
export declare const KENDO_LABEL: readonly [typeof LabelDirective, typeof LabelComponent, typeof CustomMessagesComponent];
/**
 * Utility array that contains all `FloatingLabel` related components and directives
 */
export declare const KENDO_FLOATINGLABEL: readonly [typeof FloatingLabelComponent, typeof CustomMessagesComponent];
/**
 * Utility array that contains all `@progress/kendo-angular-label` related components and directives
 */
export declare const KENDO_LABELS: readonly [typeof LabelDirective, typeof LabelComponent, typeof CustomMessagesComponent, typeof FloatingLabelComponent, typeof CustomMessagesComponent];
