/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FloatingLabelComponent } from "./floating-label/floating-label.component";
import { LabelDirective } from "./label.directive";
import { LabelComponent } from "./label/label.component";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
/**
 * Utility array that contains all `Label` related components and directives
 */
export const KENDO_LABEL = [
    LabelDirective,
    LabelComponent,
    CustomMessagesComponent
];
/**
 * Utility array that contains all `FloatingLabel` related components and directives
 */
export const KENDO_FLOATINGLABEL = [
    FloatingLabelComponent,
    CustomMessagesComponent
];
/**
 * Utility array that contains all `@progress/kendo-angular-label` related components and directives
 */
export const KENDO_LABELS = [
    ...KENDO_LABEL,
    ...KENDO_FLOATINGLABEL
];
