/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./label.directive";
import * as i2 from "./label/label.component";
import * as i3 from "./localization/custom-messages.component";
import * as i4 from "./floating-label/floating-label.component";
/**
 * The exported package module.
 *
 * The package exports:
 * - `LabelDirective`&mdash;The Label directive class.
 * - `LabelComponent`&mdash;The Label component class
 * - `FLoatingLabel`&mdash;The FloatingLabel component class.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the Label module
 * import { LabelModule } from '@progress/kendo-angular-label';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, LabelModule], // import Label module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class LabelModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<LabelModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<LabelModule, never, [typeof i1.LabelDirective, typeof i2.LabelComponent, typeof i3.CustomMessagesComponent, typeof i4.FloatingLabelComponent, typeof i3.CustomMessagesComponent], [typeof i1.LabelDirective, typeof i2.LabelComponent, typeof i3.CustomMessagesComponent, typeof i4.FloatingLabelComponent, typeof i3.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<LabelModule>;
}
